> For the complete documentation index, see [llms.txt](https://docs.brewersfriend.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.brewersfriend.com/api/recipes/recipe.md).

# Recipe Beer XML

## Get Recipe Beer XML

<mark style="color:blue;">`GET`</mark> `https://api.brewersfriend.com/v1/recipes/:recipe_id.xml`

This endpoint allows you to get a recipe in BeerXML format.   Replace *:recipe\_id with the recipe id.*

#### Path Parameters

| Name       | Type   | Description                                     |
| ---------- | ------ | ----------------------------------------------- |
| recipe\_id | string | Recipe ID found in the edit or view recipe URL. |

#### Headers

| Name      | Type   | Description  |
| --------- | ------ | ------------ |
| X-API-KEY | string | Your API key |

{% tabs %}
{% tab title="200 Recipe successfully retrieved." %}

```markup
<?xml version="1.0" encoding="UTF-8"?>
<RECIPES>
 <RECIPE>
  <NAME>India Pale Weizen (w/ Weihenstephan)</NAME>
  <VERSION>1</VERSION>
  ...
 </RECIPE>
</RECIPES>  
```

{% endtab %}

{% tab title="405 Could not find a recipe matching this query." %}

```javascript
```

{% endtab %}
{% endtabs %}

### Example

```bash
curl -H "X-API-Key: 535ad06757dd29bd83be1e635ec10530407a8XAVTX" \
https://api.brewersfriend.com/v1/recipes/573389983.xml
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.brewersfriend.com/api/recipes/recipe.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
